repo/gentoo:master commit in: www-client/google-chrome/

"Matt Jolly" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787107467.4d90bfcbf4c1d548d179d8f422aba4c4c65aab02.kangie@gentoo>
commit:     4d90bfcbf4c1d548d179d8f422aba4c4c65aab02
Author:     Matt Jolly <kangie <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 21:49:31 2026 +0000
Commit:     Matt Jolly <kangie <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 02:44:27 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d90bfcb

www-client/google-chrome: automated update (151.0.7922.169)

Bug: https://bugs.gentoo.org/981048
Signed-off-by: Matt Jolly <kangie <AT> gentoo.org>

 www-client/google-chrome/Manifest                  |   2 +
 .../google-chrome-151.0.7922.169.ebuild            | 132 +++++++++++++++++++++
 2 files changed, 134 insertions(+)

diff --git a/www-client/google-chrome/Manifest b/www-client/google-chrome/Manifest
index 7980902f8381..d6607e343388 100644
--- a/www-client/google-chrome/Manifest
+++ b/www-client/google-chrome/Manifest
@@ -4,3 +4,5 @@ DIST google-chrome-stable_151.0.7922.108-1_amd64.deb 140087076 BLAKE2B 640cc2939
 DIST google-chrome-stable_151.0.7922.108-1_arm64.deb 132186044 BLAKE2B 7f0ad1d763108eb39231dec15e42d5eb8bbad290b2852fe8686d8b0877b17bac0161e32746f08677be805509dd402fccf75151f9c8c053abb3bfb65a279a69bd SHA512 53cd86827a5ab2310e3fde62c8fb8430c79f87b468a8233bee2e3abe762defe54da363b559785c7e0c120b87212c600b489b7b86e4a49edce46eb39e5bc42e60
 DIST google-chrome-stable_151.0.7922.137-1_amd64.deb 140080344 BLAKE2B 7466e965ff0b109ac8afbf909a47dcafa2fe2adc81819a1c3ea2fc057bc6226083e04d7643a2778d7a60ad77ecb510a8665fe3dd6997a02bcb226cc470ae4712 SHA512 1d6bb6aa793d3646605c0bb346e800d306f76ee8d30f5bcbe920a2d70ee90fbdb1203cd1552e26e21e243af8bbdc8d461c8ca49249b77a5f92533396606c1cd7
 DIST google-chrome-stable_151.0.7922.137-1_arm64.deb 132287036 BLAKE2B b9eb679af54e6cc4001db06cf6412d18da3be1b30ed3720d78c71043e400471061d7f79ba43f6ec06235b1b37d7d6de82736e6ae44f8b81eb3789f3d5b1ddba2 SHA512 e7170ca340c3a66916606a09416156b6fcda1b0f1f19ef5fef7c31f5f10e7dae381b80dcc2bb89cbf60b715b22309912887386effc25a2c12d14e769db06052d
+DIST google-chrome-stable_151.0.7922.169-1_amd64.deb 140188716 BLAKE2B ca8e1ac1991aac3ca3f19ea454050b7408ac71f59fc7a9919e7c308629590b96bcc54ebf51c78769872724466c5143fd2f7a24469b4766b281610f000f88b665 SHA512 172d8307490b8ef1590432b97d6a61dc83272ee91d3aa32854fe2985be6c566eaa45850612c6dddd0d90be1b41f57b0ec5e17b94c6decb0ad56039aff4a0d324
+DIST google-chrome-stable_151.0.7922.169-1_arm64.deb 132342884 BLAKE2B f7113dfa99eeec5341ee02b20444c7c75f4b6ed8fc9c9f15b8d0b13701b556d6c171725116c56ca3c42aabb623a513f7e3190d5dac221a52f7d00c29870990ce SHA512 b20254ffdbd2db61895f4a19213f82dc1d7a0dbc9b088050d4cdc69d53dc1bc83aaa8f3c36ebb8638d00d265f16f2bea70e40544a5c9ad718661f6133a386089

diff --git a/www-client/google-chrome/google-chrome-151.0.7922.169.ebuild b/www-client/google-chrome/google-chrome-151.0.7922.169.ebuild
new file mode 100644
index 000000000000..f1faad75233a
--- /dev/null
+++ b/www-client/google-chrome/google-chrome-151.0.7922.169.ebuild
@@ -0,0 +1,132 @@
+# Copyright 2011-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="af am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he
+	hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
+	sv sw ta te th tr uk ur vi zh-CN zh-TW"
+
+inherit chromium-2 desktop pax-utils unpacker xdg
+
+DESCRIPTION="The web browser from Google"
+HOMEPAGE="https://www.google.com/chrome/"
+
+if [[ ${PN} == google-chrome ]]; then
+	MY_PN=${PN}-stable
+else
+	MY_PN=${PN}
+fi
+
+MY_P="${MY_PN}_${PV}-1"
+SRC_URI="
+	amd64? ( https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd64.deb )
+	arm64? ( https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_arm64.deb )
+"
+S=${WORKDIR}
+
+LICENSE="google-chrome"
+SLOT="0"
+KEYWORDS="-* amd64 arm64"
+
+IUSE="qt6 selinux"
+
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+	>=app-accessibility/at-spi2-core-2.46.0:2
+	app-misc/ca-certificates
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	>=dev-libs/nss-3.26
+	media-fonts/liberation-fonts
+	media-libs/alsa-lib
+	media-libs/mesa[gbm(+)]
+	net-misc/curl
+	net-print/cups
+	sys-apps/dbus
+	sys-libs/glibc
+	sys-libs/libcap
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	|| (
+		x11-libs/gtk+:3[X]
+		gui-libs/gtk:4[X]
+	)
+	x11-libs/libdrm
+	>=x11-libs/libX11-1.5.0
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/libxshmfence
+	x11-libs/pango
+	x11-misc/xdg-utils
+	qt6? ( dev-qt/qtbase:6[gui,widgets] )
+	selinux? ( sec-policy/selinux-chromium )
+"
+
+QA_PREBUILT="*"
+QA_DESKTOP_FILE="usr/share/applications/google-chrome.*\\.desktop"
+CHROME_HOME="opt/google/chrome${PN#google-chrome}"
+
+pkg_nofetch() {
+	eerror "Please wait 24 hours and sync your tree before reporting a bug for google-chrome fetch failures."
+}
+
+pkg_pretend() {
+	# Protect against people using autounmask overzealously
+	use amd64 || use arm64 || die "${PN} only works on supported architectures (amd64, arm64)."
+}
+
+pkg_setup() {
+	chromium_suid_sandbox_check_kernel_config
+}
+
+src_unpack() {
+	:
+}
+
+src_install() {
+	dodir /
+	cd "${ED}" || die
+	unpacker
+
+	mv usr/share/doc/${MY_PN} usr/share/doc/${PF} || die
+
+	# Since M141 Google Chrome comes with its own bundled cron
+	# scripts which invoke `apt` directly. Useless on Gentoo!
+	rm -r etc/cron.daily || die "Failed to remove cron scripts"
+	rm -r "${CHROME_HOME}"/cron || die "Failed to remove cron scripts"
+
+	gzip -d usr/share/doc/${PF}/changelog.gz || die
+	gzip -d usr/share/man/man1/${MY_PN}.1.gz || die
+	if [[ -L usr/share/man/man1/google-chrome.1.gz ]]; then
+		rm usr/share/man/man1/google-chrome.1.gz || die
+		dosym ${MY_PN}.1 usr/share/man/man1/google-chrome.1
+	fi
+
+	pushd "${CHROME_HOME}/locales" > /dev/null || die
+	chromium_remove_language_paks
+	popd > /dev/null || die
+
+	rm "${CHROME_HOME}/libqt5_shim.so" || die
+	if ! use qt6; then
+		rm "${CHROME_HOME}/libqt6_shim.so" || die
+	fi
+
+	local suffix=
+	[[ ${PN} == google-chrome-beta ]] && suffix=_beta
+	[[ ${PN} == google-chrome-unstable ]] && suffix=_dev
+
+	local size
+	for size in 16 24 32 48 64 128 256 ; do
+		newicon -s ${size} "${CHROME_HOME}/product_logo_${size}${suffix}.png" ${PN}.png
+	done
+
+	pax-mark m "${CHROME_HOME}/chrome"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.